const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo:{},
        phoneFlag:true,
        uidFlag:false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getLogin()        
        // console.log(this.userInfo)
    },
    // getUserInfo(e) {
	// 	var _this=this;
    //     wx.getUserInfo({
    //       	desc: '展示用户信息', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
    //       	success: (res) => {
    //         	console.log(res)
	// 			this.setData({
	// 				userInfo: res.userInfo,
	// 				hasUserInfo: true
	// 			})
	// 			if(res.encryptedData&&res.iv){
	// 				_this.wechatLogin(res.encryptedData,res.iv)
	// 			}
    //       	}
    //     })
    // },
    // 登录
    getLogin() {
        var that=this;
        wx.login({
            success: res => {
                console.log(res)                
                app.globalData.code = res.code               
            }
        })
	},
	// 获取电话号码
    getPhoneNumber (e) {
        var _this=this;
        wx.request({
            url: app.globalData.url + '/device/CouponWechat/login',
            data: {
                encryptedData: e.detail.encryptedData,
                iv: e.detail.iv,
                wxcode:app.globalData.code 
            },
            method: 'POST',
            header: { 'content-type': 'application/x-www-form-urlencoded' },
            success(res) {
                console.log(1111111)
                console.log(res)
                if (res.data.result.erro == 0) {                    
                    // wx.setStorageSync('phonenum', true);   
                    app.globalData.phone = res.data.result.phone;    
                    wx.setStorageSync('phone', res.data.result.phone); 
                    app.globalData.uid = res.data.result.uid;    
                    wx.setStorageSync('uid', res.data.result.uid);
                    // wx.setStorageSync('uidFlag', true); 
                    wx.switchTab({
						url: '/pages/index/index'
					})
                    // _this.wechatLogin()
                    // _this.setData({
                    //     uidFlag:true,
                    //     phoneFlag:false
                    // })
                    wx.showToast({
                        title: res.data.msg,
                        icon: 'success',
                        duration: 2000
                    }) 
                }else{
                    wx.showToast({
                        title: res.data.msg,
                        icon: 'error',
                        duration: 2000
                    }) 
                }
            }
        })
    },
    // 用户信息登录小程序
    // wechatLogin(encryptedData,iv){
	// 	var _this=this;
    //     wx.request({
    //         url: app.globalData.url + '/device/CouponWechat/login',
    //         data: {
    //             encryptedData:encryptedData,
    //             iv: iv,
    //             phone: app.globalData.phone,
    //             sessionKey: app.globalData.sessionKey
    //         }, 
    //         method: 'POST',  
    //         header: { 'content-type': 'application/x-www-form-urlencoded' },
    //         success(res) {
	// 			console.log(res)
	// 			if(res.data.erro==0){  
	// 				app.globalData.token=res.data.token;
	// 				app.globalData.uid=res.data.uid;
	// 				wx.setStorageSync('token', res.data.token);	
	// 				wx.setStorageSync('uid', res.data.uid);		
	// 				_this.getToken()    		
	// 			}else{
	// 				wx.showToast({
	// 					title: res.data.msg,
	// 					icon: 'none',
	// 					duration: 2000
	// 				})														  
	// 			}                   
                					
    //         }
    //     })			
    // },
     // 获取token
    getToken(){
        var that=this;
        wx.request({
            url: app.globalData.url + '/device/CouponWechat/getToken',
            data: {
                uid:wx.getStorageSync('uid'),
                phone: app.globalData.phone
            }, 
            method: 'POST',  
            header: { 'content-type': 'application/x-www-form-urlencoded' },
            success:(res)=>{
                console.log(res)
				if(res.data.erro=='0'){   
					app.globalData.token=res.data.token;
                    wx.setStorageSync('token', res.data.token);	
                   
					wx.switchTab({
						url: '/pages/cardBag/cardBag'
					})
				}else{
					wx.showToast({
						title: res.data.msg,
						icon: 'none',
						duration: 2000
					})														  
				}                    
            }
        })			
    },	

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {
      
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})